# sum64Param Struct Reference

## Data Fields

uint64_t | crc
uint64_t(* | update )(uint64_t crc, const byte *data, size_t size)
uint64_t(* | combine )(uint64_t crc1, uint64_t crc2, size_t len2)

## Detailed Description

Definition at line 257 of file digest.c.

## Field Documentation

uint64_t(* sum64Param::combine)(uint64_t crc1, uint64_t crc2, size_t len2)

Definition at line 260 of file digest.c.

Referenced by rpmDigestInit().

uint64_t sum64Param::crc

Definition at line 258 of file digest.c.

Referenced by sum64Digest(), sum64Reset(), and sum64Update().

uint64_t(* sum64Param::update)(uint64_t crc, const byte *data, size_t size)

Definition at line 259 of file digest.c.

Referenced by rpmDigestInit(), sum64Reset(), and sum64Update().

The documentation for this struct was generated from the following file:

- rpmio/digest.c